Bug Hunting Session
Bug 39452 - Back button in Options dialogs does not work as expected
Summary: Back button in Options dialogs does not work as expected
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 44228 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-07-21 09:42 UTC by Florian Reisinger
Modified: 2018-07-24 09:08 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots, see Comment (197.50 KB, application/x-download)
2011-07-22 01:17 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reisinger 2011-07-21 09:42:14 UTC
Before I start a list: At some people the back button does't work. [LibO OOO33m19 Build 301, LibOportable OOO330m19 (Build:202) and LibO OOO340m1 (Build:103) with OS Win 2008 R2 SP1 and Win XP Pro SP3)

At my system (OOO330m19 Build:301) the Back-Button does not work at:
LibreOffice
-Print (Just at Reduce print data)
-Fonts
-Security
--Macro Security
---Security Level (Here it is the Reset-Button
Language Settings
-Writing Aids
LibreOffice Writer
-Basic fonts (Western) [Just Current document only]

I hope you understand what I mean :-)
Comment 1 Rainer Bielefeld Retired 2011-07-21 23:30:15 UTC
I am pretty sure that that is for all OS
Modified Version because I am sure that that is heritage from OOo.

We have really strange buttons there, no where mentioned in Help, no idea for what they are, no reaction if clicked

Back is a bad and unintuitive  name, should be "Default Settings" or similar for all!

'Tools -> Options -> LibO -> Print'
-----------------------------------
BACK button works fine, deletes checkmarks for reduce ...
OOo 3.1.1: Checkboxes to default, same behavior as in LibO
LOCALHELP: Not mentioned, but with intuitive name no Help required

'Tools -> Options -> LibO -> Fonts'
-----------------------------------
BACK button works fine, for most properties, but not for 
 "Replacement Table" (checkmark will not be removed). 
  This might be intended, but then that should be mentioned in help  !!!
OOo 3.1.1: same behavior as in LibO
LOCALHELP: Not mentioned, with intuitive name no Help required except for
           influence to "Replacement Table"                          !!!

'Tools -> Options -> LibO -> Security -> Macro Security -> Security Level'
-----------------------------------
BACK button does nothing                                               !!!
OOo 3.1.1: same behavior as in LibO
LOCALHELP: Not mentioned, with intuitive name and function no 
 Help required 

'Tools -> Options -> Language Settings -> Writing Aids'
-----------------------------------
BACK button 
 does nothing for Available Language Modules except 
 highlighting moves to first)                                      !!!
 does nothing for User Defined Dictionaries                        !!!
 seems to work fine for Options
OOo 3.1.1: same behavior as in LibO
LOCALHELP: Not mentioned, also with intuitive name Help required 
 for different influence to selection fields                        !!!

'Tools -> Options -> WRITER -> Basic Fonts'
-----------------------------------
BACK button does nothing for checkbox "Current document only"      !!!
 but works fine for other settings
BACK button + DEFAULT button: Why do we need 2? Seem               !!!
 to do the same!
OOo 3.1.1: same behavior as in LibO
LOCALHELP: Not mentioned, but with intuitive name and function no Help required 


I did not find a corresponding OOo issue

@Florian Reisinger:
I did not find a problem with 'Tools -> Options -> LibO -> Print', can you please explain more detailed?

@Christoph:
Any Design comments?

@David:
Help might be affected.
Comment 2 Florian Reisinger 2011-07-21 23:36:33 UTC
[...]
> 
> @Florian Reisinger:
> I did not find a problem with 'Tools -> Options -> LibO -> Print', can you
> please explain more detailed?

At my LibreOffice the Reduce print data settings for (At the top) *Printer*  and *Print to file* are not mermorized.

The rest works.

> 
> @Christoph:
> Any Design comments?
> 
> @David:
> Help might be affected.
Comment 3 Christoph 2011-07-21 23:46:38 UTC
Hi! The naming has been discussed "back" in 2009, since we have many (!)
dialogs that provide such functionality. Here is an excerpt of what I've wrote
that time ...
>>>
Currently, OOo provides different functionality for "undoing" data
changes:
     A. Setting back the data to the values which were active when
        opening the dialog (usually for the current tab only, although
        this is different to the visualization). --> usually "Back"
     B. Setting back the data of a child element to the ones of the
        parent (when looking at object hierarchies, e.g. paragraph
        styles). Same problem with tab behavior. --> usually "Reset"
     C. Setting back the data to the "factory defaults". --> usually
        "Default"
<<<

So, it makes sense to distinguish between those behaviors - how it is named is
just a matter of what users do understand best (back, revert, reset, default,
standard, ...). It gets even more complicated when this is translated. At
least, the current naming is correct in terms of "it is consistent with other
dialogs".

By the way, it seems that the German translation (can't check: just crashed my
English daily build) contains an advanced help tip error - it refers to
reverting the data back to when LibO was opened (which seems wrong, since we
have case A here).
Comment 4 Rainer Bielefeld Retired 2011-07-22 01:17:37 UTC
Created attachment 49416 [details]
Screenshots, see Comment

(In reply to comment #3)
Christoph's explications seem consistent to me, the rest is a question of a good manual (Help) and correct tooltips.

So
1. Wee need an extract of Christoph's explications in
   Help -> Common Help Topics -> General Information (or somewhere else)
2. Tooltips have to be checked and corrected, Christoph's suspect is 
   correct (please see screenshots)
3. Handle the original report, of course, the complaints seem substantiated.

(In reply to comment #3)
For this case LibO's behavior is correct, with those radio buttons you select what properties should be shown, Back or Default would not make any sense there.
Comment 5 David Nelson 2011-07-27 01:09:01 UTC
On initial examination, it doesn't *look* like documentation team action is needed here for the moment, but I'm monitoring the report and will jump in if needed.

Explanation of bug report:

When you press the "Back" button in the "Tools > Options > General" dialog box, any changes you made to settings are not saved. Instead, you remain in the same dialog box and the values in fields are reset to the values existing before you made your change.

This is actually explained in the tool tip.

Maybe it would be good to rename the "Back" button to "Reset to Default Values" or "Reset Defaults" or "Reset".

@note to docs team: this would then have an incidence on the help and would need documenting.  We'd also have to update existing documentation to take account of the change: screenshots and text.

I'm not forwarding this to the docs ML right now, and but will if a rename is decided upon.
Comment 6 Rainer Bielefeld Retired 2011-07-27 01:48:45 UTC
(In reply to comment #5)

> Maybe it would be good to rename the "Back" button to "Reset to Default Values"
> or "Reset Defaults" or "Reset".

Please see Comment 3, BACK, RESET, DEFAULT are completely different functions.
Comment 7 Harald Koester 2011-11-03 14:58:24 UTC
Hallo,
I am not absolutely sure but I think I found the same bug. 

I compared the behavior of LO with the documentation: In Getting Started Guide; Chapter 2: Setting up LibreOffice; section: Choosing options for all of LibreOffice: 
"The Back button has the same effect on all pages of the Options dialog. It resets the options to the values that were in place when you opened LibreOffice." In the German version of LO the extended tip of the Back button says the same.

LibreOffice does not work as described. Here are some cases to illustrate the problem:

Case 1: 
1. In the LibreOffice User Data options change the "value" of an option. 
2. Change to the LibreOffice General options.
3. Change back to the User Data options.
4. Use the Back button in order to reset the change of the User Data options.
The last step does not work. The User Data is not changed back.

Case 2:
1. In the LO-Writer General options change the "value" of an option.
2. Change to the LO-Writer View options.
3. Change back to the LO-Writer General options. 
4. Use the Back button in order to reset the change of  LO-Writer General options.
Here contrary to case 1 LibreOffice works as expected.

Case 3:
1. In the LibreOffice User Data options change the "value" of an option.
2. Choose OK in order to save the change.
3. Open the LibreOffice User Data options again.
4. Use the Back button in order to reset the values "that were in place when you opened LibreOffice".
The last step does not work.

Case 4:
1. In the LibreOffice User Data options change the "value" of an option.
2. Change to the LibreOffice General options.
3. Cancel the options dialog.
4. Open the LibreOffice User Data options again in order to check the active options. 
The change has been saved despite the options dialog has been canceled.

Case 5:
1. In the LO-Writer General options change the "value" of an option.
2. Change to the LO-Writer View options.
3. Cancel the options dialog.
4. Open the LO-Writer General options again in order to check the active options.
Here contrary to case 4 LibreOffice works as expected, the change has not been saved.

OS: Win XP, SP3. LO: Ver. 3.4.3 

Harald
Comment 8 Lior Kaplan 2011-12-12 15:06:26 UTC
The tools->options button was changed to "revert" following the comments here and this thread: http://lists.freedesktop.org/archives/libreoffice-ux-advise/2011-December/000603.html

changes done in 3.5 branch and master.
Comment 9 Björn Michaelsen 2011-12-22 05:53:37 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.
Comment 10 Björn Michaelsen 2011-12-23 13:26:41 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 11 David Tardon 2011-12-28 23:03:24 UTC
*** Bug 44228 has been marked as a duplicate of this bug. ***
Comment 12 Harald Koester 2012-12-11 12:05:23 UTC
To my opinion not all aspects of this bug are resolved. I tried to disentangle the comments a bit and wrote 5 new bug reports according different aspects of the option dialog: bug 58132, bug 58133, bug 58134, bug 58135, bug 58136.

I think the new reports cover all aspects of this bug. Hence to my point of view it can be closed.